package envoy.event;

import java.util.Objects;

/**
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public final class PasswordChangeRequest extends Event<String> {

	private final String oldPassword;

	private static final long serialVersionUID = 0L;

	/**
	 * @param newPassword the new password of that user
	 * @param oldPassword the old password of that user
	 * @since Envoy Common v0.2-beta
	 */
	public PasswordChangeRequest(String newPassword, String oldPassword) {
		super(newPassword);
		this.oldPassword = Objects.requireNonNull(oldPassword);
	}

	/**
	 * @return the old password of the underlying user
	 * @since Envoy Common v0.2-beta
	 */
	public String getOldPassword() { return oldPassword; }

	@Override
	public String toString() {
		return "PasswordChangeRequest[]";
	}
}
